Index: pacemaker/pengine/test10/honor_stonith_rsc_order2.exp
===================================================================
--- pacemaker.orig/pengine/test10/honor_stonith_rsc_order2.exp
+++ pacemaker/pengine/test10/honor_stonith_rsc_order2.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="7" operation="start" operation_key="S_A:0_start_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="S_A" long-id="S_A:0" class="stonith" type="fence_xvm"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -16,7 +16,7 @@
     <action_set>
       <rsc_op id="2" operation="monitor" operation_key="S_A:0_monitor_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="S_A" long-id="S_A:0" class="stonith" type="fence_xvm"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -84,7 +84,7 @@
     <action_set>
       <rsc_op id="12" operation="start" operation_key="S_B_start_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="S_B" class="stonith" type="fence_xvm"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -100,7 +100,7 @@
     <action_set>
       <rsc_op id="3" operation="monitor" operation_key="S_B_monitor_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="S_B" class="stonith" type="fence_xvm"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -109,7 +109,7 @@
     <action_set>
       <rsc_op id="13" operation="start" operation_key="S_C_start_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="S_C" class="stonith" type="fence_xvm"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -128,7 +128,7 @@
     <action_set>
       <rsc_op id="4" operation="monitor" operation_key="S_C_monitor_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="S_C" class="stonith" type="fence_xvm"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -137,7 +137,7 @@
     <action_set>
       <rsc_op id="14" operation="start" operation_key="S_D_start_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="S_D" class="stonith" type="fence_xvm"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -156,7 +156,7 @@
     <action_set>
       <rsc_op id="5" operation="monitor" operation_key="S_D_monitor_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="S_D" class="stonith" type="fence_xvm"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -165,7 +165,7 @@
     <action_set>
       <rsc_op id="19" operation="start" operation_key="A_start_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="A" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -178,7 +178,7 @@
     <action_set>
       <rsc_op id="6" operation="monitor" operation_key="A_monitor_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="A" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/honor_stonith_rsc_order3.exp
===================================================================
--- pacemaker.orig/pengine/test10/honor_stonith_rsc_order3.exp
+++ pacemaker/pengine/test10/honor_stonith_rsc_order3.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="7" operation="start" operation_key="S_A:0_start_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="S_A" long-id="S_A:0" class="stonith" type="fence_xvm"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -16,7 +16,7 @@
     <action_set>
       <rsc_op id="2" operation="monitor" operation_key="S_A:0_monitor_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="S_A" long-id="S_A:0" class="stonith" type="fence_xvm"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -88,7 +88,7 @@
     <action_set>
       <rsc_op id="12" operation="start" operation_key="S_B:0_start_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="S_B" long-id="S_B:0" class="stonith" type="fence_xvm"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -101,7 +101,7 @@
     <action_set>
       <rsc_op id="3" operation="monitor" operation_key="S_B:0_monitor_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="S_B" long-id="S_B:0" class="stonith" type="fence_xvm"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -110,7 +110,7 @@
     <action_set>
       <rsc_op id="13" operation="start" operation_key="S_C:0_start_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="S_C" long-id="S_C:0" class="stonith" type="fence_xvm"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -126,7 +126,7 @@
     <action_set>
       <rsc_op id="4" operation="monitor" operation_key="S_C:0_monitor_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="S_C" long-id="S_C:0" class="stonith" type="fence_xvm"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -135,7 +135,7 @@
     <action_set>
       <rsc_op id="14" operation="start" operation_key="S_D:0_start_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="S_D" long-id="S_D:0" class="stonith" type="fence_xvm"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -151,7 +151,7 @@
     <action_set>
       <rsc_op id="5" operation="monitor" operation_key="S_D:0_monitor_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="S_D" long-id="S_D:0" class="stonith" type="fence_xvm"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -193,7 +193,7 @@
     <action_set>
       <rsc_op id="23" operation="start" operation_key="A_start_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="A" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -206,7 +206,7 @@
     <action_set>
       <rsc_op id="6" operation="monitor" operation_key="A_monitor_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="A" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/honor_stonith_rsc_order4.exp
===================================================================
--- pacemaker.orig/pengine/test10/honor_stonith_rsc_order4.exp
+++ pacemaker/pengine/test10/honor_stonith_rsc_order4.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="5" operation="start" operation_key="S_A_start_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="S_A" class="stonith" type="fence_xvm"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -19,7 +19,7 @@
     <action_set>
       <rsc_op id="2" operation="monitor" operation_key="S_A_monitor_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="S_A" class="stonith" type="fence_xvm"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -28,7 +28,7 @@
     <action_set>
       <rsc_op id="6" operation="start" operation_key="S_B_start_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="S_B" class="stonith" type="fence_xvm"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -41,7 +41,7 @@
     <action_set>
       <rsc_op id="3" operation="monitor" operation_key="S_B_monitor_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="S_B" class="stonith" type="fence_xvm"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -50,7 +50,7 @@
     <action_set>
       <rsc_op id="7" operation="start" operation_key="A_start_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="A" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -63,7 +63,7 @@
     <action_set>
       <rsc_op id="4" operation="monitor" operation_key="A_monitor_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="A" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/ignore_stonith_rsc_order1.exp
===================================================================
--- pacemaker.orig/pengine/test10/ignore_stonith_rsc_order1.exp
+++ pacemaker/pengine/test10/ignore_stonith_rsc_order1.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="4" operation="start" operation_key="S_A_start_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="S_A" class="stonith" type="fence_xvm"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -19,7 +19,7 @@
     <action_set>
       <rsc_op id="2" operation="monitor" operation_key="S_A_monitor_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="S_A" class="stonith" type="fence_xvm"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -28,7 +28,7 @@
     <action_set>
       <rsc_op id="5" operation="start" operation_key="A_start_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="A" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -41,7 +41,7 @@
     <action_set>
       <rsc_op id="3" operation="monitor" operation_key="A_monitor_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="A" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/ignore_stonith_rsc_order2.exp
===================================================================
--- pacemaker.orig/pengine/test10/ignore_stonith_rsc_order2.exp
+++ pacemaker/pengine/test10/ignore_stonith_rsc_order2.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="5" operation="start" operation_key="S_A_start_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="S_A" class="stonith" type="fence_xvm"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -19,7 +19,7 @@
     <action_set>
       <rsc_op id="2" operation="monitor" operation_key="S_A_monitor_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="S_A" class="stonith" type="fence_xvm"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -54,7 +54,7 @@
     <action_set>
       <rsc_op id="6" operation="start" operation_key="A_start_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="A" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -70,7 +70,7 @@
     <action_set>
       <rsc_op id="3" operation="monitor" operation_key="A_monitor_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="A" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -79,7 +79,7 @@
     <action_set>
       <rsc_op id="7" operation="start" operation_key="S_B_start_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="S_B" class="stonith" type="fence_xvm"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -98,7 +98,7 @@
     <action_set>
       <rsc_op id="4" operation="monitor" operation_key="S_B_monitor_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="S_B" class="stonith" type="fence_xvm"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/ignore_stonith_rsc_order3.exp
===================================================================
--- pacemaker.orig/pengine/test10/ignore_stonith_rsc_order3.exp
+++ pacemaker/pengine/test10/ignore_stonith_rsc_order3.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="5" operation="start" operation_key="S_A:0_start_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="S_A" long-id="S_A:0" class="stonith" type="fence_xvm"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -16,7 +16,7 @@
     <action_set>
       <rsc_op id="2" operation="monitor" operation_key="S_A:0_monitor_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="S_A" long-id="S_A:0" class="stonith" type="fence_xvm"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -81,7 +81,7 @@
     <action_set>
       <rsc_op id="10" operation="start" operation_key="A_start_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="A" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -97,7 +97,7 @@
     <action_set>
       <rsc_op id="3" operation="monitor" operation_key="A_monitor_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="A" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -106,7 +106,7 @@
     <action_set>
       <rsc_op id="11" operation="start" operation_key="S_B_start_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="S_B" class="stonith" type="fence_xvm"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -125,7 +125,7 @@
     <action_set>
       <rsc_op id="4" operation="monitor" operation_key="S_B_monitor_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="S_B" class="stonith" type="fence_xvm"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/ignore_stonith_rsc_order4.exp
===================================================================
--- pacemaker.orig/pengine/test10/ignore_stonith_rsc_order4.exp
+++ pacemaker/pengine/test10/ignore_stonith_rsc_order4.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="5" operation="start" operation_key="S_A:0_start_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="S_A" long-id="S_A:0" class="stonith" type="fence_xvm"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -16,7 +16,7 @@
     <action_set>
       <rsc_op id="2" operation="monitor" operation_key="S_A:0_monitor_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="S_A" long-id="S_A:0" class="stonith" type="fence_xvm"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -85,7 +85,7 @@
     <action_set>
       <rsc_op id="10" operation="start" operation_key="A:0_start_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="A" long-id="A:0" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -98,7 +98,7 @@
     <action_set>
       <rsc_op id="3" operation="monitor" operation_key="A:0_monitor_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="A" long-id="A:0" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -107,7 +107,7 @@
     <action_set>
       <rsc_op id="11" operation="start" operation_key="S_B:0_start_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="S_B" long-id="S_B:0" class="stonith" type="fence_xvm"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -123,7 +123,7 @@
     <action_set>
       <rsc_op id="4" operation="monitor" operation_key="S_B:0_monitor_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="S_B" long-id="S_B:0" class="stonith" type="fence_xvm"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
